<?php
class BelugaConvConst {

	// --------------------------
	// ## mapping from en to em
	// --------------------------
	// -------- em characters --------
	static $CHAR_EN_TO_EM_ALL = array (
			'ｶﾞ' => 'ガ',
			'ｷﾞ' => 'ギ',
			'ｸﾞ' => 'グ',
			'ｹﾞ' => 'ゲ',
			'ｺﾞ' => 'ゴ',
			'ｻﾞ' => 'ザ',
			'ｼﾞ' => 'ジ',
			'ｽﾞ' => 'ズ',
			'ｾﾞ' => 'ゼ',
			'ｿﾞ' => 'ゾ',
			'ﾀﾞ' => 'ダ',
			'ﾁﾞ' => 'ヂ',
			'ﾂﾞ' => 'ヅ',
			'ﾃﾞ' => 'デ',
			'ﾄﾞ' => 'ド',
			'ﾊﾞ' => 'バ',
			'ﾊﾟ' => 'パ',
			'ﾋﾞ' => 'ビ',
			'ﾋﾟ' => 'ピ',
			'ﾌﾞ' => 'ブ',
			'ﾌﾟ' => 'プ',
			'ﾍﾞ' => 'ベ',
			'ﾍﾟ' => 'ペ',
			'ﾎﾞ' => 'ボ',
			'ﾎﾟ' => 'ポ',
			'ｳﾞ' => 'ヴ',
			' ' => '　',
			'!' => '！',
			'"' => '”',
			'#' => '＃',
			'$' => '＄',
			'%' => '％',
			'&' => '＆',
			'\'' => '’',
			'(' => '（',
			')' => '）',
			'0' => '０',
			'1' => '１',
			'2' => '２',
			'3' => '３',
			'4' => '４',
			'5' => '５',
			'6' => '６',
			'7' => '７',
			'8' => '８',
			'9' => '９',
			'@' => '＠',
			'A' => 'Ａ',
			'B' => 'Ｂ',
			'C' => 'Ｃ',
			'D' => 'Ｄ',
			'E' => 'Ｅ',
			'F' => 'Ｆ',
			'G' => 'Ｇ',
			'H' => 'Ｈ',
			'I' => 'Ｉ',
			'P' => 'Ｐ',
			'Q' => 'Ｑ',
			'R' => 'Ｒ',
			'S' => 'Ｓ',
			'T' => 'Ｔ',
			'U' => 'Ｕ',
			'V' => 'Ｖ',
			'W' => 'Ｗ',
			'X' => 'Ｘ',
			'Y' => 'Ｙ',
			'`' => '‘',
			'a' => 'ａ',
			'b' => 'ｂ',
			'c' => 'ｃ',
			'd' => 'ｄ',
			'e' => 'ｅ',
			'f' => 'ｆ',
			'g' => 'ｇ',
			'h' => 'ｈ',
			'i' => 'ｉ',
			'p' => 'ｐ',
			'q' => 'ｑ',
			'r' => 'ｒ',
			's' => 'ｓ',
			't' => 'ｔ',
			'u' => 'ｕ',
			'v' => 'ｖ',
			'w' => 'ｗ',
			'x' => 'ｘ',
			'y' => 'ｙ',
			'*' => '＊',
			'+' => '＋',
			',' => '，',
			'-' => '－',
			'.' => '．',
			'/' => '／',
			':' => '：',
			';' => '；',
			'<' => '＜',
			'=' => '＝',
			'>' => '＞',
			'?' => '？',
			'J' => 'Ｊ',
			'K' => 'Ｋ',
			'L' => 'Ｌ',
			'M' => 'Ｍ',
			'N' => 'Ｎ',
			'O' => 'Ｏ',
			'Z' => 'Ｚ',
			'[' => '［',
			'\\' => '￥',
			']' => '］',
			'^' => '＾',
			'_' => '＿',
			'j' => 'ｊ',
			'k' => 'ｋ',
			'l' => 'ｌ',
			'm' => 'ｍ',
			'n' => 'ｎ',
			'o' => 'ｏ',
			'z' => 'ｚ',
			'{' => '｛',
			'|' => '｜',
			'}' => '｝',
			'~' => '～',
			'｡' => '。',
			'｢' => '「',
			'｣' => '」',
			'､' => '、',
			'･' => '・',
			'ｦ' => 'ヲ',
			'ｧ' => 'ァ',
			'ｨ' => 'ィ',
			'ｩ' => 'ゥ',
			'ｪ' => 'ェ',
			'ｫ' => 'ォ',
			'ｬ' => 'ャ',
			'ｭ' => 'ュ',
			'ｮ' => 'ョ',
			'ｯ' => 'ッ',
			'ｰ' => 'ー',
			'ｱ' => 'ア',
			'ｲ' => 'イ',
			'ｳ' => 'ウ',
			'ｴ' => 'エ',
			'ｵ' => 'オ',
			'ｶ' => 'カ',
			'ｷ' => 'キ',
			'ｸ' => 'ク',
			'ｹ' => 'ケ',
			'ｺ' => 'コ',
			'ｻ' => 'サ',
			'ｼ' => 'シ',
			'ｽ' => 'ス',
			'ｾ' => 'セ',
			'ｿ' => 'ソ',
			'ﾀ' => 'タ',
			'ﾁ' => 'チ',
			'ﾂ' => 'ツ',
			'ﾃ' => 'テ',
			'ﾄ' => 'ト',
			'ﾅ' => 'ナ',
			'ﾆ' => 'ニ',
			'ﾇ' => 'ヌ',
			'ﾈ' => 'ネ',
			'ﾉ' => 'ノ',
			'ﾊ' => 'ハ',
			'ﾋ' => 'ヒ',
			'ﾌ' => 'フ',
			'ﾍ' => 'ヘ',
			'ﾎ' => 'ホ',
			'ﾏ' => 'マ',
			'ﾐ' => 'ミ',
			'ﾑ' => 'ム',
			'ﾒ' => 'メ',
			'ﾓ' => 'モ',
			'ﾔ' => 'ヤ',
			'ﾕ' => 'ユ',
			'ﾖ' => 'ヨ',
			'ﾗ' => 'ラ',
			'ﾘ' => 'リ',
			'ﾙ' => 'ル',
			'ﾚ' => 'レ',
			'ﾛ' => 'ロ',
			'ﾜ' => 'ワ',
			'ﾝ' => 'ン'
	);
	// -------- em katakana characters --------
	static $CHAR_EN_TO_EM_KATAKANA = array (
			'ｶﾞ' => 'ガ',
			'ｷﾞ' => 'ギ',
			'ｸﾞ' => 'グ',
			'ｹﾞ' => 'ゲ',
			'ｺﾞ' => 'ゴ',
			'ｻﾞ' => 'ザ',
			'ｼﾞ' => 'ジ',
			'ｽﾞ' => 'ズ',
			'ｾﾞ' => 'ゼ',
			'ｿﾞ' => 'ゾ',
			'ﾀﾞ' => 'ダ',
			'ﾁﾞ' => 'ヂ',
			'ﾂﾞ' => 'ヅ',
			'ﾃﾞ' => 'デ',
			'ﾄﾞ' => 'ド',
			'ﾊﾞ' => 'バ',
			'ﾊﾟ' => 'パ',
			'ﾋﾞ' => 'ビ',
			'ﾋﾟ' => 'ピ',
			'ﾌﾞ' => 'ブ',
			'ﾌﾟ' => 'プ',
			'ﾍﾞ' => 'ベ',
			'ﾍﾟ' => 'ペ',
			'ﾎﾞ' => 'ボ',
			'ﾎﾟ' => 'ポ',
			'ｳﾞ' => 'ヴ',
			' ' => '　',
			'(' => '（',
			')' => '）',
			'ｦ' => 'ヲ',
			'ｧ' => 'ァ',
			'ｨ' => 'ィ',
			'ｩ' => 'ゥ',
			'ｪ' => 'ェ',
			'ｫ' => 'ォ',
			'ｬ' => 'ャ',
			'ｭ' => 'ュ',
			'ｮ' => 'ョ',
			'ｯ' => 'ッ',
			'ｰ' => 'ー',
			'ｱ' => 'ア',
			'ｲ' => 'イ',
			'ｳ' => 'ウ',
			'ｴ' => 'エ',
			'ｵ' => 'オ',
			'ｶ' => 'カ',
			'ｷ' => 'キ',
			'ｸ' => 'ク',
			'ｹ' => 'ケ',
			'ｺ' => 'コ',
			'ｻ' => 'サ',
			'ｼ' => 'シ',
			'ｽ' => 'ス',
			'ｾ' => 'セ',
			'ｿ' => 'ソ',
			'ﾀ' => 'タ',
			'ﾁ' => 'チ',
			'ﾂ' => 'ツ',
			'ﾃ' => 'テ',
			'ﾄ' => 'ト',
			'ﾅ' => 'ナ',
			'ﾆ' => 'ニ',
			'ﾇ' => 'ヌ',
			'ﾈ' => 'ネ',
			'ﾉ' => 'ノ',
			'ﾊ' => 'ハ',
			'ﾋ' => 'ヒ',
			'ﾌ' => 'フ',
			'ﾍ' => 'ヘ',
			'ﾎ' => 'ホ',
			'ﾏ' => 'マ',
			'ﾐ' => 'ミ',
			'ﾑ' => 'ム',
			'ﾒ' => 'メ',
			'ﾓ' => 'モ',
			'ﾔ' => 'ヤ',
			'ﾕ' => 'ユ',
			'ﾖ' => 'ヨ',
			'ﾗ' => 'ラ',
			'ﾘ' => 'リ',
			'ﾙ' => 'ル',
			'ﾚ' => 'レ',
			'ﾛ' => 'ロ',
			'ﾜ' => 'ワ',
			'ﾝ' => 'ン'
	);
	// -------- characters for bank account name --------
	static $CHAR_EN_TO_EM_BANK_ACNT_NAME = array (
			'ｶﾞ' => 'ガ',
			'ｷﾞ' => 'ギ',
			'ｸﾞ' => 'グ',
			'ｹﾞ' => 'ゲ',
			'ｺﾞ' => 'ゴ',
			'ｻﾞ' => 'ザ',
			'ｼﾞ' => 'ジ',
			'ｽﾞ' => 'ズ',
			'ｾﾞ' => 'ゼ',
			'ｿﾞ' => 'ゾ',
			'ﾀﾞ' => 'ダ',
			'ﾁﾞ' => 'ヂ',
			'ﾂﾞ' => 'ヅ',
			'ﾃﾞ' => 'デ',
			'ﾄﾞ' => 'ド',
			'ﾊﾞ' => 'バ',
			'ﾊﾟ' => 'パ',
			'ﾋﾞ' => 'ビ',
			'ﾋﾟ' => 'ピ',
			'ﾌﾞ' => 'ブ',
			'ﾌﾟ' => 'プ',
			'ﾍﾞ' => 'ベ',
			'ﾍﾟ' => 'ペ',
			'ﾎﾞ' => 'ボ',
			'ﾎﾟ' => 'ポ',
			'ｳﾞ' => 'ヴ',
			' ' => '　',
			'#' => '＃',
			'%' => '％',
			'&' => '＆',
			'(' => '（',
			')' => '）',
			'0' => '０',
			'1' => '１',
			'2' => '２',
			'3' => '３',
			'4' => '４',
			'5' => '５',
			'6' => '６',
			'7' => '７',
			'8' => '８',
			'9' => '９',
			'@' => '＠',
			'A' => 'Ａ',
			'B' => 'Ｂ',
			'C' => 'Ｃ',
			'D' => 'Ｄ',
			'E' => 'Ｅ',
			'F' => 'Ｆ',
			'G' => 'Ｇ',
			'H' => 'Ｈ',
			'I' => 'Ｉ',
			'P' => 'Ｐ',
			'Q' => 'Ｑ',
			'R' => 'Ｒ',
			'S' => 'Ｓ',
			'T' => 'Ｔ',
			'U' => 'Ｕ',
			'V' => 'Ｖ',
			'W' => 'Ｗ',
			'X' => 'Ｘ',
			'Y' => 'Ｙ',
			'a' => 'ａ',
			'b' => 'ｂ',
			'c' => 'ｃ',
			'd' => 'ｄ',
			'e' => 'ｅ',
			'f' => 'ｆ',
			'g' => 'ｇ',
			'h' => 'ｈ',
			'i' => 'ｉ',
			'p' => 'ｐ',
			'q' => 'ｑ',
			'r' => 'ｒ',
			's' => 'ｓ',
			't' => 'ｔ',
			'u' => 'ｕ',
			'v' => 'ｖ',
			'w' => 'ｗ',
			'x' => 'ｘ',
			'y' => 'ｙ',
			'*' => '＊',
			'+' => '＋',
			',' => '，',
			'-' => '－',
			'.' => '．',
			'/' => '／',
			':' => '：',
			';' => '；',
			'<' => '＜',
			'=' => '＝',
			'>' => '＞',
			'?' => '？',
			'J' => 'Ｊ',
			'K' => 'Ｋ',
			'L' => 'Ｌ',
			'M' => 'Ｍ',
			'N' => 'Ｎ',
			'O' => 'Ｏ',
			'Z' => 'Ｚ',
			'\\' => '￥',
			'j' => 'ｊ',
			'k' => 'ｋ',
			'l' => 'ｌ',
			'm' => 'ｍ',
			'n' => 'ｎ',
			'o' => 'ｏ',
			'z' => 'ｚ',
			'ｦ' => 'ヲ',
			'ｧ' => 'ァ',
			'ｨ' => 'ィ',
			'ｩ' => 'ゥ',
			'ｪ' => 'ェ',
			'ｫ' => 'ォ',
			'ｬ' => 'ャ',
			'ｭ' => 'ュ',
			'ｮ' => 'ョ',
			'ｯ' => 'ッ',
			'ｰ' => 'ー',
			'ｱ' => 'ア',
			'ｲ' => 'イ',
			'ｳ' => 'ウ',
			'ｴ' => 'エ',
			'ｵ' => 'オ',
			'ｶ' => 'カ',
			'ｷ' => 'キ',
			'ｸ' => 'ク',
			'ｹ' => 'ケ',
			'ｺ' => 'コ',
			'ｻ' => 'サ',
			'ｼ' => 'シ',
			'ｽ' => 'ス',
			'ｾ' => 'セ',
			'ｿ' => 'ソ',
			'ﾀ' => 'タ',
			'ﾁ' => 'チ',
			'ﾂ' => 'ツ',
			'ﾃ' => 'テ',
			'ﾄ' => 'ト',
			'ﾅ' => 'ナ',
			'ﾆ' => 'ニ',
			'ﾇ' => 'ヌ',
			'ﾈ' => 'ネ',
			'ﾉ' => 'ノ',
			'ﾊ' => 'ハ',
			'ﾋ' => 'ヒ',
			'ﾌ' => 'フ',
			'ﾍ' => 'ヘ',
			'ﾎ' => 'ホ',
			'ﾏ' => 'マ',
			'ﾐ' => 'ミ',
			'ﾑ' => 'ム',
			'ﾒ' => 'メ',
			'ﾓ' => 'モ',
			'ﾔ' => 'ヤ',
			'ﾕ' => 'ユ',
			'ﾖ' => 'ヨ',
			'ﾗ' => 'ラ',
			'ﾘ' => 'リ',
			'ﾙ' => 'ル',
			'ﾚ' => 'レ',
			'ﾛ' => 'ロ',
			'ﾜ' => 'ワ',
			'ﾝ' => 'ン'
	);

	// --------------------------
	// ## unify hyphen characters
	// --------------------------
	// hyphen convert to following
	const CHAR_HYPHEN_DEST = "e383bc";
	// hyphen convert from following
	static $CHAR_HYPHEN_ORG = array (
			'e28090',
			'e28091',
			'e28092',
			'e28093',
			'e28094',
			'e28095',
			'e28892',
			'efbc8d',
			'e4b880',
			'efb9a3',
			'e28183',
			'cb97',
			'e2a7bf',
			'efb998',
			'e28eaf',
			'e2828b',
			'e28ebc',
			'ccb6'
	);
	// hyphen convert from following in case of EM
	static $CHAR_HYPHEN_ORG_FOR_EM = array (
			'e28091',
			'e28092',
			'e28093',
			'e28094',
			'e28892',
			'efb9a3',
			'e28183',
			'cb97',
			'e2a7bf',
			'efb998',
			'e28eaf',
			'e2828b',
			'e28ebc',
			'ccb6'
	);

	// --------------------------
	// ## unify tilde characters
	// --------------------------
	// hyphen convert to following
	const CHAR_TILDE_DEST = "efbd9e";
	// hyphen convert from following
	static $CHAR_TILDE_ORG = array (
			'cb9c',
			'cbb7',
			'cc83',
			'ccb0',
			'ccb4',
			'e288bc',
			'e3809c'
	);

	// --------------------------
	// ## Convert the third and fourth level Kanji to alternate character
	// --------------------------
	static $CHAR_ALT_KANJI = array (
			'㟢' => '崎',
			'凮' => '風',
			'柗' => '松',
			'綋' => '紘',
			'蔣' => '蒋',
			'薭' => '稗',
			'魦' => '鮻',
			'麵' => '麪',
			'𠮷' => '吉',
			'𣳾' => '泰',
			'䑓' => '台',
			'埞' => '堤',
			'茰' => '萸',
			'葚' => '椹',
			'𣘺' => '橋',
			'沗' => '添',
			'㈳' => '社',
			'㈶' => '財',
			'㈾' => '資'
	);
}
